/*
El contenedor que alberga las piezas lo hacemos flex y le damos un margin
*/
.piezas {
    display: flex;
    justify-content: space-evenly;
    margin-left: 20%;
}

/*Pieza negras*/
.pieza {
    width: 50px;
    background-color: black;
    height: 50px;
    border-radius: 50%;
}

/*Las animaciones de cada pieza son iguales salvo que le metemos un delay (retardo) a cada pieza*/
.pieza1 {
    /* nombre de la animacion */
    animation-name: desaparecerPieza;
    /* duración*/
    animation-duration: 0.5s;
    /*retardo (tiempo que tarda en hacer la animación)*/
    animation-delay: 2.5s;
    /* 
    Para que se quede con la posicion del 100% del keyframes
    Asi consiguimos que las piezas desaparezcan
    */
    animation-fill-mode: forwards;
}

.pieza2 {
    animation-name: desaparecerPieza;
    animation-duration: 0.2s;

    animation-delay: 4s;
    animation-fill-mode: forwards;
}

.pieza3 {
    animation-name: desaparecerPieza;
    animation-duration: 0.2s;

    animation-delay: 5.4s;
    animation-fill-mode: forwards;
}

.pieza4 {
    animation-name: desaparecerPieza;
    animation-duration: 0.2s;

    animation-delay: 7.2s;
    animation-fill-mode: forwards;
}

.pieza5 {
    animation-name: desaparecerPieza;
    animation-duration: 0.2s;

    animation-delay: 8.6s;
    animation-fill-mode: forwards;
}

/*Color de fondo*/
.comecocos>* {
    background-color: gold;
}

/*
El comecocos lo separamos en dos semicirculos 
*/
.semicirculoArriba {
    width: 200px;
    height: 100px;
    border-radius: 100px 100px 0 0;
    animation: abrirBocaArriba 0.5s infinite;
}

.semicirculoAbajo {
    width: 200px;
    height: 100px;
    border-radius: 0 0 100px 100px;
    animation: abrirBocaAbajo 0.5s infinite;
}

/*Colocamos el comecocos y le ponemos la animación de traslación*/
.comecocos {
    animation: trasladarse 10s infinite linear;
    position: relative;
    top: 120px;
}

/* Hacemos que el semicirculo de abajo rote 30 grados en sentido horario*/
@keyframes abrirBocaAbajo {
    0% {}

    50% {
        transform: rotate(30deg);
    }
}

/* Hacemos que el semicirculo de arriba rote 30 grados en sentido antihorario*/
@keyframes abrirBocaArriba {
    0% {}

    50% {
        transform: rotate(-30deg);
    }
}

/* Traslación en X*/
@keyframes trasladarse {
    0% {}

    100% {
        transform: translateX(90%);
    }
}

/*Para que desaparezcan las piezas pasamos de opacity 1 a opacity 0*/
@keyframes desaparecerPieza {
    0% {
        opacity: 1;
    }

    100% {
        opacity: 0;
    }

}